Imports System.Windows.Forms

Public Class CircleButton
  Inherits ComdToolBarButton

  Public Sub New(ByVal md As Mediator)
    MyBase.New("Circle", md)
    Me.Style = ToolBarButtonStyle.ToggleButton
    med.registerCircleButton(Me)
  End Sub

  Public Overrides Sub Execute()
    med.startCircle()
  End Sub

End Class
